## python-fake-useragent 2.0.3

=== requirements.txt ===
attrs==24.2.0
black==24.10.0
build==1.2.2.post1
cachetools==5.5.0
chardet==5.2.0
click==8.1.7
colorama==0.4.6
coverage==7.6.8
distlib==0.3.9
exceptiongroup==1.2.2
fastjsonschema==2.20.0
filelock==3.16.1
importlib-resources==6.4.5
iniconfig==2.0.0
isort==5.13.2
mypy-extensions==1.0.0
packaging==24.2
pathspec==0.12.1
pep517==0.13.1
platformdirs==4.3.6
pluggy==1.5.0
py==1.11.0
pyparsing==3.2.0
pyproject-api==1.6.1
pyproject_hooks==1.2.0
pytest==8.3.3
pytest-cov==6.0.0
ruff==0.8.1
six==1.16.0
tomli==2.2.1
tox==4.14.1
typing_extensions==4.12.2
validate-pyproject==0.23
virtualenv==20.25.1
zipp==3.21.0

=== ua-converter/requirements.txt ===
ua-parser==1.0.0
ua-parser-builtins==0.18.0
ua-parser-rs==0.1.2

=== debian/changelog ===
python-fake-useragent (2.0.3-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Mon, 10 Feb 2025 21:05:49 +0100

python-fake-useragent (2.0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1095141)

 -- Edward Betts <edward@4angle.com>  Tue, 04 Feb 2025 10:25:36 +0100

=== debian/control ===
Source: python-fake-useragent
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/fake-useragent/fake-useragent
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-fake-useragent
Vcs-Git: https://salsa.debian.org/python-team/packages/python-fake-useragent.git

Package: python3-fake-useragent
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library to simulate browser user-agent strings
 This library provides a set of tools to simulate browser user-agent strings
 across different platforms and devices. It offers a pre-downloaded and
 processed database of a wide range of browser agents, allowing users to
 retrieve random or specified user-agent strings without an active internet
 connection. The data includes various attributes such as browser type,
 version, operating system, and device brand. This facilitates applications
 that require user-agent customization or testing by mimicking different
 browser environments for web interactions.

## python-fake-useragent 2.1.0

=== requirements.txt ===
attrs==24.3.0
black==24.10.0
build==1.2.2.post1
cachetools==5.5.0
chardet==5.2.0
click==8.1.8
colorama==0.4.6
coverage==7.6.10
distlib==0.3.9
exceptiongroup==1.2.2
fastjsonschema==2.21.1
filelock==3.17.0
importlib-resources==6.5.2
iniconfig==2.0.0
isort==5.13.2
mypy-extensions==1.0.0
packaging==24.2
pathspec==0.12.1
pep517==0.13.1
platformdirs==4.3.6
pluggy==1.5.0
py==1.11.0
pyparsing==3.2.1
pyproject-api==1.9.0
pyproject_hooks==1.2.0
pytest==8.3.4
pytest-cov==6.0.0
ruff==0.9.10
six==1.17.0
tomli==2.2.1
tox==4.14.1
typing_extensions==4.12.2
validate-pyproject==0.23
virtualenv==20.25.1
zipp==3.21.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/fake-useragent.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/fake-useragent.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/fake-useragent"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/fake-useragent"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-fake-useragent (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Sun, 16 Mar 2025 07:32:34 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://github.com/fake-useragent/fake-useragent
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-fake-useragent
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-fake-useragent.git

## python-fake-useragent 2.2.0

=== requirements.txt ===
attrs==25.3.0
black==25.1.0
build==1.2.2.post1
cachetools==5.5.0
chardet==5.2.0
click==8.1.8
colorama==0.4.6
coverage==7.8.0
distlib==0.3.9
exceptiongroup==1.2.2
fastjsonschema==2.21.1
filelock==3.17.0
importlib-resources==6.5.2
iniconfig==2.0.0
isort==5.13.2
mypy-extensions==1.0.0
packaging==24.2
pathspec==0.12.1
pep517==0.13.1
platformdirs==4.3.6
pluggy==1.5.0
py==1.11.0
pyparsing==3.2.3
pyproject-api==1.9.0
pyproject_hooks==1.2.0
pytest==8.3.5
pytest-cov==6.0.0
ruff==0.11.4
six==1.17.0
tomli==2.2.1
tox==4.14.1
typing_extensions==4.13.2
validate-pyproject==0.24.1
virtualenv==20.25.1
zipp==3.21.0

=== debian/changelog ===
python-fake-useragent (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Needs setuptools version 77 because of pyproject.toml PEP 639 changes.
  * Switch to using autopkgtest-pkg-pybuild.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Mon, 21 Apr 2025 11:20:25 +0100

=== debian/control ===
--- 
+++ 
@@ -10,15 +10,16 @@
  dh-sequence-sphinxdoc <!nodoc>,
  pybuild-plugin-pyproject,
  python3-all,
- python3-setuptools,
+ python3-setuptools (>= 77),
 Build-Depends-Indep:
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/fake-useragent/fake-useragent
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-fake-useragent
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-fake-useragent.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-fake-useragent
 Architecture: all

=== debian/watch ===
version=4
https://github.com/fake-useragent/fake-useragent/tags .*/v?(\d\S+)\.tar\.gz
